// See https://aka.ms/new-console-template for more information
using IOB_WIN_MTC_CLI;
using MTConnect;
using MTConnect.Clients;
using Spectre.Console;


IobComm iobComm = new IobComm();

iobComm.DoConfig();

#if false

// inizio con probe preliminare
iobComm.ForceProbe();
// attesa
await Task.Delay(2000); 

#endif

// avvio client
iobComm.StartClient();

// avvio loop
iobComm.MainLoop();

// chiudo
iobComm.doLog("...closing CLI Now!");